import java.awt.geom.Point2D;


public class Field {
	private double angle;
	private double force;
	private double x; // suradnice z obrazka
	private double y;
	private Objekt object;
	
	public Field(double x, double y) {
		this.x = x;
		this.y = y;
	}	
	
	public void setAngle(double angle){ this.angle = angle;}
	public void setForce(double force){ this.force = force;}
	public void setObject(Objekt obstacle){ this.object = obstacle;}
	public void removeObject(){setObject(null);}
	
	public double getX(){return x;}
	public double getY(){return y;}
	public double getRads(){return angle;}
	public double getDegrees(){return Math.toDegrees(angle);}
	public double getForce(){return force;}
	public Objekt getObject(){return object;}
	public boolean hasObject(){return object!=null;}
	
	public Point2D.Double getVector(){
		return Schema.getVector(force, angle);
	}
}
