
public class Objekt {
	private double x; // suradnice z obrazka
	private double y;
	private double gravityRadius;
	private double gravity;
	private String name;
	
	/**
	 * Vytvori novy objekt s gravitaciou
	 * @param x suradnica objektu
	 * @param y suradnica objektu
	 * @param gravity ak je kladna, objekt pritahuje, ak je zaporna, objekt odpudzuje
	 * @param gravityRadius dosah gravitacie objektu, pre neobmadzeny odporucam Double.MAX_VALUE
	 * @param name meno objektu
	 */
	public Objekt(double x, double y, double gravity, double gravityRadius, String name) {
		this.x = x;
		this.y = y;
		this.gravity = gravity;
		this.gravityRadius = gravityRadius;
		this.name = name;
	}
	
	public double getX(){return x;}
	public double getY(){return y;}
	public double getGravity(){return gravity;}
	public double getGravityRadius(){return gravityRadius;}
	public String toString(){return name;}
}
