import java.applet.Applet;
import java.awt.Button;
import java.awt.Canvas;
import java.awt.Color;
import java.awt.Graphics;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;


public class Viewer extends Applet {
	Schema s;
	Button b;
	Canvas canvas;
	
	@Override
	public void paint(Graphics g) {
		if (s!=null) s.draw(canvas.getGraphics());
	}
	
	@Override
	public void init() {
		setSize(1200, 800);
		canvas = new Canvas();
		canvas.setSize(1100, 800);
		b = new Button("Button");
		b.addActionListener(new ActionListener() {
			
			@Override
			public void actionPerformed(ActionEvent arg0) {
				s = new Schema(15, 15, 15, 15);
				repaint();
				try {
					s.addObject(new Objekt(5, 5, 30, Double.MAX_VALUE, "DESTIN1"));
					s.addObject(new Objekt(10, 5, -30, 10, "OBSTAC1"));
				} catch (Exception e) {e.printStackTrace();}
				System.out.println(s.toStringForce());
				System.out.println(s.toStringAngle());
			}
		});
		add(canvas);
		add(b);
	}
	@Override
	public void start() {
	}
}
